com.amazon.redshift.plugin.utils

## Class RandomStateUtil

- java.lang.Object
- - com.amazon.redshift.plugin.utils.RandomStateUtil

    public class RandomStateUtil
    extends Object

Random state string generating util.

### Constructor Summary

Constructors
Constructor and Description
`RandomStateUtil()`

### Method Summary

Methods
`static String` `generateRandomState()` Generates random state string 10 char length.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RandomStateUtil

    public RandomStateUtil()

### Method Detail

#### generateRandomState

    public static String generateRandomState()

Generates random state string 10 char length.

Returns:
  generated randomly.